version 8.0
set more off
prog drop _all
capture log close
clear

/*
File: Codebooks.do
Date: December 17, 2003
Desc: Create Codebooks for sets created by master.do
*/

capture program drop code
program define code
while "`1'"~="" {
	cd $output
	use set_`1', clear
	desc
	sum
	codebook, notes header
	
	if "`1'"=="b" {
		di "Appendix A"
		tab region
		tab msa
	}
	
	if $p==96 | $p==01 {
		if "`1'"=="h" {
			use set_`1'2, clear
			desc
			sum
			codebook, notes header
		}
	}
	mac shift
}
end

cd $codebooks
log using codebook$p.log, replace
code a b c d /*e*/ f g h /*h2*/ i j
log close


