/*
This program generates months and waves for the 1991 panel.

*/

* put mnth (1-36) into calendar months
gen month = mnth+9 if rot==1
replace month = month-12 if rot==1 & month>=13 & month<=24
replace month = month-24 if rot==1 & month>=25 & month<=36
replace month = month-36 if rot==1 & month>=37

replace month = mnth+10 if rot==2
replace month = month-12 if rot==2 & month>=13 & month<=24
replace month = month-24 if rot==2 & month>=25 & month<=36
replace month = month-36 if rot==2 & month>=37

replace month = mnth+11 if rot==3
replace month = month-12 if rot==3 & month>=13 & month<=24
replace month = month-24 if rot==3 & month>=25 & month<=36
replace month = month-36 if rot==3 & month>=37

replace month = mnth if rot==4
replace month = month-12 if rot==4 & month>=13 & month<=24
replace month = month-24 if rot==4 & month>=25 & month<=36
replace month = month-36 if rot==4 & month>=37

tab mnth month

* create waves from mnth (1-36)
gen wave = 1 if mnth>=1 & mnth<=4
replace wave = 2 if mnth>=5 & mnth<=8
replace wave = 3 if mnth>=9 & mnth<=12
replace wave = 4 if mnth>=13 & mnth<=16
replace wave = 5 if mnth>=17 & mnth<=20
replace wave = 6 if mnth>=21 & mnth<=24
replace wave = 7 if mnth>=25 & mnth<=28
replace wave = 8 if mnth>=29 & mnth<=32
replace wave = 9 if mnth>=33 & mnth<=36
replace wave = 10 if mnth>=37 & mnth<=40

tab month wave
drop mnth
