/*
This program generates months and waves for the 1993 panel.

*/

* put mnth (1-36) into calendar months
gen month = mnth if rot==1
replace month = month-12 if rot==1 & mnth>=13 & mnt<=24
replace month = month-24 if rot==1 & mnth>=25 & mnt<=36

replace month = mnth+9 if rot==2 & mnth>=1 & mnth<=3
replace month = mnth-3 if rot==2 & mnth>=4 & mnth<=15
replace month = mnth-15 if rot==2 & mnth>=16 & mnth<=27
replace month = mnth-27 if rot==2 & mnth>=28 & mnth<=36

replace month = mnth+10 if rot==3 & mnth>=1 & mnth<=2
replace month = mnth-2 if rot==3 & mnth>=3 & mnth<=14
replace month = mnth-14 if rot==3 & mnth>=15 & mnth<=26
replace month = mnth-26 if rot==3 & mnth>=27 & mnth<=36

replace month = mnth+11 if rot==4 & mnth==1
replace month = mnth-1 if rot==4 & mnth>=2 & mnth<=13
replace month = mnth-13 if rot==4 & mnth>=14 & mnth<=25
replace month = mnth-25 if rot==4 & mnth>=26 & mnth<=36
tab mnth month

* create waves from mnth (1-36)
gen wave = 1 if mnth>=1 & mnth<=4
replace wave = 2 if mnth>=5 & mnth<=8
replace wave = 3 if mnth>=9 & mnth<=12
replace wave = 4 if mnth>=13 & mnth<=16
replace wave = 5 if mnth>=17 & mnth<=20
replace wave = 6 if mnth>=21 & mnth<=24
replace wave = 7 if mnth>=25 & mnth<=28
replace wave = 8 if mnth>=29 & mnth<=32
replace wave = 9 if mnth>=33 & mnth<=36

tab month wave
drop mnth
