
/* Please do not attempt to run this program without reading the accompanying documentation*/

version 8.0
set more off
prog drop _all
capture log close

cd "$log"
log using set_h$p.log, replace
cd "$tempdata"


/*
File: pull h (health ins).do
Date: July, 2005
Desc: Pull-file to creat Set H
Note: See acknowledgements and copyright notice in new_master.do.
*/

* need to pull from each wave and merge


capture program drop loop08
program define loop08

	global hvarlist "$ids rot rhcalyr tage rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 ehirsn11 ehirsn12 rcuow58*"

	forvalues i=1/8 {
		if `i' == 1 use $hvarlist using $c`i', clear
		if `i' > 1 append using $c`i', keep($hvarlist)
	}

	rename rhcalyr year
	rename tage age

	cd "$tempdata"
	sort $ids
	save test, replace
end


capture program drop loop04
program define loop04

	global hvarlist "$ids rot rhcalyr tage rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 ehirsn11 ehirsn12 rcuow58*"

	forvalues i=1/12 {
		if `i' == 1 use $hvarlist using $c`i', clear
		if `i' > 1 append using $c`i', keep($hvarlist)
	}

	rename rhcalyr year
	rename tage age

	cd "$tempdata"
	sort $ids
	save test, replace
end

capture program drop loop01
program define loop01
	local i=1
	use $ids rot rhcalyr tage rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi /*
	*/ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost /*
	*/ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 /*
	*/ehirsn11 ehirsn12 rcuow58* using $c`i', clear
	sort $ids
	save test, replace
	local i = `i'+1
	while `i'>1 & `i'<10{
		use $ids rot rhcalyr tage rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi /*
		*/ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost /*
		*/ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 /*
		*/ehirsn11 ehirsn12 rcuow58* using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		}
	rename rhcalyr year
	rename tage age
end

capture program drop loop96
program define loop96
	local i=1
	use $ids rot rhcalyr rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi tage /*
	*/ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost /*
	*/ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 /*
	*/ehirsn11 ehirsn12 rcuow58* using $f`i', clear
	sort $ids
	save test, replace
	local i = `i'+1
	while `i'>1 & `i'< 13 {
		use $ids rot rhcalyr rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi tage /*
		*/ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost /*
		*/ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 /*
		*/ehirsn11 ehirsn12 rcuow58* using $f`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 
	rename rhcalyr year
	rename tage age
end

capture program drop loop93
program define loop93
	* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp93l1, clear
	cd "$tempdata"
	save test1, replace
	
	cd "$cleandata"
	use id careco* caidco* using sipp93l2, clear
	cd "$tempdata"
	save test2, replace
	
	cd "$cleandata"
	use id hiownc* hi_otc* champ* hiempl* using sipp93l3, clear
	cd "$tempdata"
	save test3, replace
	sort id
	merge id using test2
	rename _merge tst1
	sort id
	merge id using test1
	rename _merge tst2
	save testm, replace
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix champ_ champ
	renpfix champ0 champ
	renpfix hiempl0 hiempl
	
	reshape long careco caidco hiownc hi_otc champ hiempl age , i(id) j(mnth)
	
	cd "$programs"
	do monthwave93.do
	cd "$tempdata"

	count if id==""
	drop if id==""
	sort id wave month
	save testm, replace
	
	* Core data
	local i=1 
	use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<10 {
	
		use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst
	
	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr
	
	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta
	
end


capture program drop loop92
program define loop92
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp92l1, clear
	cd "$tempdata"
	save test1, replace
	
	cd "$cleandata"
	use id careco* caidco* hiownc* hi_otc* champ* hiempl* using sipp92l3, clear
	cd "$tempdata"
	sort id
	merge id using test1
	save testm, replace
	drop _merge
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix champ_ champ
	renpfix champ0 champ
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc champ hiempl age , i(id) j(mnth)

	cd "$programs"
	do monthwave92.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<10 {
		use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop91
program define loop91
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp91l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
	cd "$cleandata"
	use id careco* caidco* using sipp91l2, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
        drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* champ* hiempl* using sipp91l3, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix champ_ champ
	renpfix champ0 champ
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc champ hiempl age , i(id) j(mnth)

	cd "$programs"
	do monthwave91.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop90
program define loop90
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp90l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "90l2" for 1990 panel while in "_l3" for other panels. 
	cd "$cleandata"
	use id careco* caidco* champ* using sipp90l2, clear
	cd "$tempdata"
	drop champu*
	drop champv*
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp90l3, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix champ_ champ
	renpfix champ0 champ
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc champ hiempl age, i(id) j(mnth)

	cd "$programs"
	do monthwave90.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	sort $ids
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		sort $ids
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop89
program define loop89
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp89l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "89l2" for 1989 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp89l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp89l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave89.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind sc1466 sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen medcode = 9
	replace medcode = 1 if substr(sc1466,1,1)=="A"
	replace medcode = 1 if substr(sc1466,2,1)=="A"
	replace medcode = 2 if substr(sc1466,1,1)=="B" & medcode == 9
	replace medcode = 2 if substr(sc1466,2,1)=="B" & medcode == 9
	replace medcode = 3 if substr(sc1466,1,1)=="D" & medcode == 9
	replace medcode = 3 if substr(sc1466,2,1)=="D" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="C" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="C" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="F" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="F" & medcode == 9
	replace medcode = 5 if substr(sc1466,1,1)=="M" & medcode == 9
	replace medcode = 5 if substr(sc1466,2,1)=="M" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="W" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="W" & medcode == 9
	replace medcode = 0 if sc1466==""
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		use $ids month year hiind sc1466 sc1538 sc1550 sc1552 sc1554 using $c`i', clear
		sort $ids
		gen medcode = 9
		replace medcode = 1 if substr(sc1466,1,1)=="A"
		replace medcode = 1 if substr(sc1466,2,1)=="A"
		replace medcode = 2 if substr(sc1466,1,1)=="B" & medcode == 9
		replace medcode = 2 if substr(sc1466,2,1)=="B" & medcode == 9
		replace medcode = 3 if substr(sc1466,1,1)=="D" & medcode == 9
		replace medcode = 3 if substr(sc1466,2,1)=="D" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="C" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="C" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="F" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="F" & medcode == 9
		replace medcode = 5 if substr(sc1466,1,1)=="M" & medcode == 9
		replace medcode = 5 if substr(sc1466,2,1)=="M" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="W" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="W" & medcode == 9
		replace medcode = 0 if sc1466==""
		gen hipay = .
		replace hipay = 0 if sc1538==0|sc1538==2
		replace hipay = 1 if sc1538==1&sc1550==1
		replace hipay = 2 if sc1538==1&sc1550==2
		replace hipay = 3 if sc1538==1&sc1550==3
		gen nonhhi = .
		gen hisrc = .
		gen hifam = .
		replace hifam = 0 if sc1552==0|sc1554==0
		replace hifam = 1 if sc1554==1
		replace hifam = 2 if sc1554==2
		replace hifam = 3 if sc1552==1
		ren sc1552 hitype
		drop sc*
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop88
program define loop88
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp88l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "88l2" for 1988 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp88l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp88l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave88.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		capture confirm file "$c`i'.dta"
		if !_rc {
			*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
			use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
			sort $ids
			gen hipay = .
			replace hipay = 0 if sc1538==0|sc1538==2
			replace hipay = 1 if sc1538==1&sc1550==1
			replace hipay = 2 if sc1538==1&sc1550==2
			replace hipay = 3 if sc1538==1&sc1550==3
			gen nonhhi = .
			gen hisrc = .
			gen hifam = .
			replace hifam = 0 if sc1552==0|sc1554==0
			replace hifam = 1 if sc1554==1
			replace hifam = 2 if sc1554==2
			replace hifam = 3 if sc1552==1
			ren sc1552 hitype
			drop sc*
			append using test
			sort $ids
			save test, replace
			}
		local i=`i'+1
		} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop87
program define loop87
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp87l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "87l2" for 1987 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp87l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp87l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave87.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		capture confirm file "$c`i'.dta"
		if !_rc {
			*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
			use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
			sort $ids
			gen hipay = .
			replace hipay = 0 if sc1538==0|sc1538==2
			replace hipay = 1 if sc1538==1&sc1550==1
			replace hipay = 2 if sc1538==1&sc1550==2
			replace hipay = 3 if sc1538==1&sc1550==3
			gen nonhhi = .
			gen hisrc = .
			gen hifam = .
			replace hifam = 0 if sc1552==0|sc1554==0
			replace hifam = 1 if sc1554==1
			replace hifam = 2 if sc1554==2
			replace hifam = 3 if sc1552==1
			ren sc1552 hitype
			drop sc*
			append using test
			sort $ids
			save test, replace
			}
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop86
program define loop86
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp86l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "86l2" for 1986 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp86l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp86l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave86.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		capture confirm file "$c`i'.dta"
		if !_rc {
			*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
			use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
			sort $ids
			gen hipay = .
			replace hipay = 0 if sc1538==0|sc1538==2
			replace hipay = 1 if sc1538==1&sc1550==1
			replace hipay = 2 if sc1538==1&sc1550==2
			replace hipay = 3 if sc1538==1&sc1550==3
			gen nonhhi = .
			gen hisrc = .
			gen hifam = .
			replace hifam = 0 if sc1552==0|sc1554==0
			replace hifam = 1 if sc1554==1
			replace hifam = 2 if sc1554==2
			replace hifam = 3 if sc1552==1
			ren sc1552 hitype
			drop sc*
			append using test
			sort $ids
			save test, replace
			}
		local i=`i'+1
		} 

	cd "$tempdata"
	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop85
program define loop85
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp85l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "85l2" for 1985 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp85l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp85l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave85.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	** sipp85w8 seems to be missing medcode altogether. codebook says that it should be present
	while `i'>=2 & `i'<8 {
		*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		use $ids month year hiind medcode sc1538 sc1550 sc1552 sc1554 using $c`i', clear
		sort $ids
		gen hipay = .
		replace hipay = 0 if sc1538==0|sc1538==2
		replace hipay = 1 if sc1538==1&sc1550==1
		replace hipay = 2 if sc1538==1&sc1550==2
		replace hipay = 3 if sc1538==1&sc1550==3
		gen nonhhi = .
		gen hisrc = .
		gen hifam = .
		replace hifam = 0 if sc1552==0|sc1554==0
		replace hifam = 1 if sc1554==1
		replace hifam = 2 if sc1554==2
		replace hifam = 3 if sc1552==1
		ren sc1552 hitype
		drop sc*
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

capture program drop loop84
program define loop84
* Longitudinal data: create two files 1) by id wave; 2) by id wave month
	* id month
	cd "$cleandata"
	use $idr age* using sipp84l1, clear
	cd "$tempdata"
	sort id

	save test1, replace
	
        *Note: champ* is in "84l2" for 1984 panel while in "_l3" for other panels. 
	cd "$cleandata"
	*use id careco* caidco* champ* using sipp90l1, clear
	use id careco* caidco* using sipp84l1, clear
	cd "$tempdata"
	sort id

	merge id using test1
	tab _merge
	drop _merge
	sort id
	save test2, replace

	cd "$cleandata"
	use id hiownc* hi_otc* hiempl* using sipp84l1, clear
	cd "$tempdata"
	sort id
	merge id using test2
	tab _merge

	drop _merge
	save testm, replace
	sort id

	save testm, replace
	
	renpfix age_ age
	renpfix age0 age
	renpfix careco0 careco
	renpfix caidco0 caidco
	renpfix hiownc0 hiownc
	renpfix hi_otc0 hi_otc
	renpfix hiempl0 hiempl

	reshape long careco caidco hiownc hi_otc hiempl age, i(id) j(mnth)
	gen champ = .

	cd "$programs"
	do monthwave84.do
	cd "$tempdata"

	sort id wave month
	save testm, replace

	* Core data
	local i=1 
	*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
	use $ids month year hiind sc1466 sc1538 sc1550 sc1552 sc1554 using $c`i', clear
	sort $ids
	gen medcode = 9
	replace medcode = 1 if substr(sc1466,1,1)=="A"
	replace medcode = 1 if substr(sc1466,2,1)=="A"
	replace medcode = 2 if substr(sc1466,1,1)=="B" & medcode == 9
	replace medcode = 2 if substr(sc1466,2,1)=="B" & medcode == 9
	replace medcode = 3 if substr(sc1466,1,1)=="D" & medcode == 9
	replace medcode = 3 if substr(sc1466,2,1)=="D" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="C" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="C" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="F" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="F" & medcode == 9
	replace medcode = 5 if substr(sc1466,1,1)=="M" & medcode == 9
	replace medcode = 5 if substr(sc1466,2,1)=="M" & medcode == 9
	replace medcode = 7 if substr(sc1466,1,1)=="W" & medcode == 9
	replace medcode = 7 if substr(sc1466,2,1)=="W" & medcode == 9
	replace medcode = 0 if sc1466==""
	gen hipay = .
	replace hipay = 0 if sc1538==0|sc1538==2
	replace hipay = 1 if sc1538==1&sc1550==1
	replace hipay = 2 if sc1538==1&sc1550==2
	replace hipay = 3 if sc1538==1&sc1550==3
	gen nonhhi = .
	gen hisrc = .
	gen hifam = .
	replace hifam = 0 if sc1552==0|sc1554==0
	replace hifam = 1 if sc1554==1
	replace hifam = 2 if sc1554==2
	replace hifam = 3 if sc1552==1
	ren sc1552 hitype
	drop sc*
	save test, replace
	local i=`i'+1
	while `i'>=2 & `i'<9 {
		*use $ids month year hiind medcode hipay nonhhi hitype hisrc hifam using $c`i', clear
		use $ids month year hiind sc1466 sc1538 sc1550 sc1552 sc1554 using $c`i', clear
		sort $ids
		gen medcode = 9
		replace medcode = 1 if substr(sc1466,1,1)=="A"
		replace medcode = 1 if substr(sc1466,2,1)=="A"
		replace medcode = 2 if substr(sc1466,1,1)=="B" & medcode == 9
		replace medcode = 2 if substr(sc1466,2,1)=="B" & medcode == 9
		replace medcode = 3 if substr(sc1466,1,1)=="D" & medcode == 9
		replace medcode = 3 if substr(sc1466,2,1)=="D" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="C" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="C" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="F" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="F" & medcode == 9
		replace medcode = 5 if substr(sc1466,1,1)=="M" & medcode == 9
		replace medcode = 5 if substr(sc1466,2,1)=="M" & medcode == 9
		replace medcode = 7 if substr(sc1466,1,1)=="W" & medcode == 9
		replace medcode = 7 if substr(sc1466,2,1)=="W" & medcode == 9
		replace medcode = 0 if sc1466==""
		gen hipay = .
		replace hipay = 0 if sc1538==0|sc1538==2
		replace hipay = 1 if sc1538==1&sc1550==1
		replace hipay = 2 if sc1538==1&sc1550==2
		replace hipay = 3 if sc1538==1&sc1550==3
		gen nonhhi = .
		gen hisrc = .
		gen hifam = .
		replace hifam = 0 if sc1552==0|sc1554==0
		replace hifam = 1 if sc1554==1
		replace hifam = 2 if sc1554==2
		replace hifam = 3 if sc1552==1
		ren sc1552 hitype
		drop sc*
		append using test
		sort $ids
		save test, replace
		local i=`i'+1
		} 

	sort id wave month
	save test, replace
	use testm, clear
	merge id wave month using test
	tab _merge
	rename _merge m1tst

	save test, replace

	* give uniform names, as necessary
	rename hiind ehimth
	rename careco ecrmth
	rename medcode rmedcode
	rename caidco ecdmth
	rename champ rchampm
	rename hipay ehicost
	rename nonhhi ehiothr	

	drop if m1tst~=3
	drop m1tst 
	compress
	save test, replace
	erase testm.dta

end

loop$p

compress






