/* Please do not attemp to run this program without reading the accompanying documentation. */

version 8.0
set more off
prog drop _all
capture log close
clear


/*
File: pull J (leave).do
Date: July, 2005
Desc: Pull-file to create Set J
Note: See acknowledgements and copyright notice in new_master.do.
*/

cd "$log"
log using set_j$p.log, replace
cd "$tempdata"

/*


*/

macro list

***********************************************

* need to pull from each wave and merge

capture program drop loop08
program define loop08

	cd "$cleandata"
	use $idw tage tlstwrky tfrmryr tmakmnyr emnreson/*
	*/ etimeoff ewrk35hr eoff6mtn tnowrkfr tnowrkto eothtime/*
	*/ ecntothr tfstyrfr tfstyrto enwresn efrstrsn using sipp08t1, clear
	sort $idw
	cd "$tempdata"
	save test, replace
	
	cd "$cleandata"
	use $idw tage tfbrthyr ebfbctwk ebfbwkpr ebfbpgft tbfbwsy1 ebfbstop /*

	*/ ebtsit* eafbst* eafbwrk tafbwky1 eafbwk* tafblvyr /*
	*/ tmomchl emomlivh  rnmlevem rnmretwk rnmstop using sipp08t2, clear
	sort $idw
	cd "$tempdata"
	append using test
	sort $idw
	save test, replace
	
	gen byte tagelvem = .
	gen byte eafblvmo = .
	gen byte efbrthmo = .
	gen byte tagestop = .
	gen byte tagertwk = .
	rename tage age
	rename rnmlevem empdur2
	rename rnmretwk mlvdur
	rename rnmstop plvdur
	*rename ebfbstop ebfbwsm1

	cd "$tempdata"
	save test, replace
end



*gen efbrthmo = .

capture program drop loop04
program define loop04

	cd "$cleandata"
	use $idw tage tlstwrky tfrmryr tmakmnyr emnreson/*
	*/ etimeoff ewrk35hr eoff6mtn tnowrkfr tnowrkto eothtime/*
	*/ ecntothr tfstyrfr tfstyrto enwresn efrstrsn using sipp04t1, clear
	sort $idw
	cd "$tempdata"
	save test, replace
	
	cd "$cleandata"
	use $idw tage tfbrthyr ebfbctwk ebfbwkpr ebfbpgft tbfbwsy1 ebfbstop /*
	*/ ebtsit* eafbst* eafbwrk tafbwky1 eafbwk* tafblvyr /*
	*/ tmomchl emomlivh  rnmlevem rnmretwk rnmstop using sipp04t2, clear
	sort $idw
	cd "$tempdata"
	append using test
	sort $idw
	save test, replace
	
	gen byte tagelvem = .
	gen byte eafblvmo = .
	gen byte efbrthmo = .
	gen byte tagestop = .
	gen byte tagertwk = .
	rename tage age
	rename rnmlevem empdur2
	rename rnmretwk mlvdur
	rename rnmstop plvdur
	rename ebfbstop ebfbwsm1

	cd "$tempdata"
	save test, replace
end

capture program drop loop01
program define loop01
	local p = $p
	
	cd "$cleandata"
	use $idw tage tlstwrky elstwrkm eprvjbmn tfrmryr efrmrmn tmakmnyr emnreson/*
	*/ eyrsince eyrsinc2 ewrk35hr eoff6mtn tnowrkfr tnowrkto eothtime/*
	*/ ecntothr tfstyrfr tfstyrto enwresn efrstrsn using sipp01t1, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw tage efbrthmo tfbrthyr tagfbrth ebfbctwk ebfbwkpr ebfbpgft ebfbwsm1 tbfbwsy1 ebfbstop /*
	*/ tagestop ebtsit* eafbst* eafbwrk tafbwky1 tagertwk eafbwk* eafblvmo tafblvyr /*
	*/ tmomchl emomlivh tagelvem rnmlevem rnmretwk rnmstop using sipp01t2, clear
	cd "$tempdata"
	sort $idw
	append using test
	sort $idw
	save test, replace
	
	rename tage age
	rename rnmlevem empdur2
	rename rnmretwk mlvdur
	rename rnmstop plvdur

	cd "$tempdata"
	save test, replace
end	

capture program drop loop96
program define loop96
	local p = $p
	
	cd "$cleandata"
	use $idw tage tlstwrky elstwrkm eprvjbmn tfrmryr efrmrmn tmakmnyr emnreson/*
	*/ eyrsince eyrsinc2 ewrk35hr eoff6mtn tnowrkfr tnowrkto eothtime /*
	*/ ecntothr tfstyrfr tfstyrto enwresn efrstrsn using sipp`p't1, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw tage efbrthmo tfbrthyr ragfbrth ebfbctwk ebfbwkpr ebfbpgft ebfbwsm1 tbfbwsy1 ebfbstop /*
	*/ ragestop ebtsit* eafbst* eafbwrk tafbwky1 ragertwk eafbwk* eafblvmo tafblvyr /*
	*/ tmomchl emomlivh ragelvem using sipp`p't2, clear
	cd "$tempdata"
	sort $idw
	append using test
	rename tage age
	sort $idw
	save test, replace
	
	

end

capture program drop loop93
program define loop93
	local p = $p
	
	cd "$cleandata"
	use $idw age tm8242 tm8240 tm8270 tm8268/*
	*/ tm8274 tm8276 tm8278 using sipp`p't1, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw age tm8760 tm8762 using sipp`p't2, clear
	cd "$tempdata"
	sort $idw
	append using test
	sort $idw

	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3

	save test, replace
end

capture program drop loop92
program define loop92
	local p = $p
	cd "$cleandata"
	use $idw age tm8242 tm8240 tm8270 tm8268/*
	*/ tm8274 tm8276 tm8278 using sipp`p't1, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	
	cd "$cleandata"
	use $idw age tm8760 tm8762 using sipp`p't2, clear
	cd "$tempdata"
	sort $idw
	append using test
	sort $idw

	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	save test, replace
end

capture program drop loop91
program define loop91
	local p = $p
	cd "$cleandata"
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p't2, clear
	cd "$tempdata"
	sort $idw
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr 
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	save test, replace
end

capture program drop loop90
program define loop90
	local p = $p
	cd "$cleandata"
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p't2, clear
	cd "$tempdata"
	sort $idw
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
		
	save test, replace
end

capture program drop loop89
program define loop89
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8140 tm8262 tm8288 tm8288 tm8290 tm8296 using sipp`p'rt3, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8140 tm8242
	gen tm8240 = .
	ren tm8262 tm8270
	gen tm8268 = .
	ren tm8288 tm8274
	ren tm8296 tm8276
	ren tm8290 tm8278
	gen tm8760 = .
	gen tm8762 = .
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end


capture program drop loop88
program define loop88
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8232 tm8230 tm8252 tm8250 tm8760 tm8762 tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8232 tm8242
	ren tm8230 tm8240
	ren tm8252 tm8270
	ren tm8250 tm8268
	*ren tm8256 tm8274
	*ren tm8258 tm8276
	*ren tm8260 tm8278
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end


capture program drop loop87
program define loop87
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8232 tm8230 tm8252 tm8250 tm8760 tm8762 tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8232 tm8242
	ren tm8230 tm8240
	ren tm8252 tm8270
	ren tm8250 tm8268
	*ren tm8256 tm8274
	*ren tm8258 tm8276
	*ren tm8260 tm8278
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end


capture program drop loop86
program define loop86
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8232 tm8230 tm8252 tm8250 tm8760 tm8762 tm8256 tm8258 tm8260 using sipp`p'rt2, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8232 tm8242
	ren tm8230 tm8240
	ren tm8252 tm8270
	ren tm8250 tm8268
	ren tm8256 tm8274
	ren tm8258 tm8276
	ren tm8260 tm8278
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end


capture program drop loop85
program define loop85
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8140 tm8262 tm8288 tm8288 tm8290 tm8296 using sipp`p'rt4, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8140 tm8242
	gen tm8240 = .
	ren tm8262 tm8270
	gen tm8268 = .
	ren tm8288 tm8274
	ren tm8296 tm8276
	ren tm8290 tm8278
	gen tm8760 = .
	gen tm8762 = .
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end


capture program drop loop84
program define loop84
	local p = $p
	cd "$cleandata"
	/*
	use $idw age tm8242 tm8240 tm8270 tm8268 tm8760 tm8762/*
	*/ tm8274 tm8276 tm8278 using sipp`p'rt2, clear
	*/
	use $idw age using sipp`p'w3, clear
	cd "$tempdata"
	sort $idw
	save test, replace
	cd "$cleandata"
	use $idw tm8140 tm8262 tm8288 tm8288 tm8290 tm8296 using sipp`p'rt3, clear
	cd "$tempdata"
	sort $idw
	
	ren tm8140 tm8242
	gen tm8240 = .
	ren tm8262 tm8270
	gen tm8268 = .
	ren tm8288 tm8274
	ren tm8296 tm8276
	ren tm8290 tm8278
	gen tm8760 = .
	gen tm8762 = .
	
	rename tm8242 tlstwrky
	rename tm8240 elstwrkm
	rename tm8270 tfrmryr
	rename tm8268 efrmrmn
	rename tm8274 tmakmnyr
	rename tm8276 eyrsince
	rename tm8760 efbrthmo
	rename tm8762 tfbrthyr
	rename tm8278 eyrsinc3
	
	sort $idw
        merge $idw using test
	tab _merge
	drop _merge
	save test, replace
end

sum

loop$p
compress


